EDIT - feature request #9655

When adding a new team member open search dialogue immediately
06/08/2021 08:52 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

Currently one has to first push the +-button and then the search button but the search button is the only button to push after the
+-button that makes really sense and therefore can be automatically pushed. Only in rare cases one may immediately want to delete
the newly created record again but for this you can cancel search and the push the delete button.

Associated revisions

Revision a3ebe576 - 06/11/2021 09:50 AM - Katja Luther

ref #9655: adapt TeamMemberSection to call selection dialog when click on +

Revision b108d934 - 06/11/2021 09:55 AM - Katja Luther
ref #9655: code cleaning

History

#1 - 06/08/2021 09:04 AM - Andreas Miiller

- Tags set to fast

#2 - 06/09/2021 10:07 AM - Katja Luther

- Status changed from New to In Progress

This is not as easy as it seems because the framework of these collection details views bases on creating a dummy element first. | will have a look
whether this can be changed quickly for teams.

#3 - 06/09/2021 10:12 AM - Andreas Miiller
Katja Luther wrote:
This is not as easy as it seems because the framework of these collection details views bases on creating a dummy element first. | will have a

look whether this can be changed quickly for teams.

My idea was not to not to create the "dummy" element but to automatically click the search button after it. So the only thing that needs to be
implemented is that not the user but the software clicks the button after creating the dummy element.

#4 - 06/09/2021 10:31 AM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
This is not as easy as it seems because the framework of these collection details views bases on creating a dummy element first. | will have

a look whether this can be changed quickly for teams.

My idea was not to not to create the "dummy" element but to automatically click the search button after it. So the only thing that needs to be
implemented is that not the user but the software clicks the button after creating the dummy element.

Yes | know, but this is not as straight forward as it looks like because | need to adapt the framework a bit. Only to adapt the newElement() Method
results in opening the selection dialog twice.

#5 - 06/09/2021 01:32 PM - Katja Luther
- Assignee deleted (Katja Luther)
- Target version deleted (Release 5.25)

- Severity changed from normal to blocker

The classes which are involved in creating the new element are:

AbstractUnboundEntityCollectionSection.java and TeamMemberSection.java

#6 - 06/09/2021 01:33 PM - Katja Luther
- Assignee set to Katja Luther
- Target version set to Release 5.25

- Severity changed from blocker to normal

#7 - 06/11/2021 09:57 AM - Katja Luther
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 50

this is fixed now, please review.

#8 - 06/25/2021 06:35 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Works as expected. ... and saves time

04/09/2024

22


http://www.tcpdf.org

